## ros-iron-rmf-fleet-msgs 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_fleet_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/Location.msg"
  "msg/RobotMode.msg"
  "msg/RobotState.msg"
  "msg/FleetState.msg"
  "msg/ModeRequest.msg"
  "msg/DestinationRequest.msg"
  "msg/PathRequest.msg"
  "msg/PauseRequest.msg"
  "msg/ModeParameter.msg"
  "msg/DockParameter.msg"
  "msg/Dock.msg"
  "msg/DockSummary.msg"
  "msg/LaneRequest.msg"
  "msg/ClosedLanes.msg"
  "msg/InterruptRequest.msg"
  "msg/SpeedLimitedLane.msg"
  "msg/SpeedLimitRequest.msg"
  "msg/LaneStates.msg"
)

set(srv_files
  "srv/LiftClearance.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-rmf-fleet-msgs (3.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Version updates from latest release synced to main (#54 <https://github.com/open-rmf/rmf_internal_msgs/pull/54>)
  * Contributors: Esteban Martinena Guerrero, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-fleet-msgs (3.0.2-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 05 Oct 2022 16:00:00 -0000

ros-iron-rmf-fleet-msgs (3.0.1-1jammy) jammy; urgency=high

  * Added SpeedLimitRequest message: (#43 <https://github.com/open-rmf/rmf_internal_msgs/pull/43>)
  * Add LaneStates msg (#41 <https://github.com/open-rmf/rmf_internal_msgs/pull/41>)

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 26 Sep 2022 16:00:00 -0000

ros-iron-rmf-fleet-msgs (2.0.0-1jammy) jammy; urgency=high

  * Introducing the traffic dependency system (#37 <https://github.com/open-rmf/rmf_internal_msgs/pull/37>)
  * Bump version and update changelog (#35 <https://github.com/open-rmf/rmf_internal_msgs/pull/35>)
  * Introduce a message for requesting a robot interruption (#36 <https://github.com/open-rmf/rmf_internal_msgs/pull/36>)
  * Add approach_speed field to Location message (#28 <https://github.com/open-rmf/rmf_internal_msgs/pull/28>)
  * Contributors: Grey, Luca Della Vedova, Morgan Quigley

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.4.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.3.0-1jammy) jammy; urgency=high

  * Added messages for opening/closing lanes: (#5 <https://github.com/open-rmf/rmf_internal_msgs/pull/5>)
  * Added Docking related messages: (#217 <https://github.com/osrf/rmf_core/pull/217>)

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 26 May 2021 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.2.0-1jammy) jammy; urgency=high

  * Adding pause command: (#226 <https://github.com/osrf/rmf_core/pull/226>)

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.0.2-1jammy) jammy; urgency=high

  * Initial set of messages for getting status updates from fleets and sending commands to fleets
  * These messages serve as the basis of the "Fleet Driver API" which will be deprecated in future releases
  * Contributors: Grey, Morgan Quigley, Yadu

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-fleet-msgs
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-rosidl-default-generators, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-fleet-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rosidl-default-runtime, ros-iron-ros-workspace
Description: A package containing messages used to interface to fleet managers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-fleet-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
